#-*-coding:mbcs-*- 
#----------------------------------------------------------------------------
# Project Name: MOSS for Windows
# File Name: setup.py
# Description: Installation script.
#
# Created: 2004. 10. 10
# RCS-ID: $Id: setup.py,v 1.6 2004/10/23 11:34:53 myunggoni Exp $
# Copyright: (c) 2004 by myunggoni
# License: GNU General Public License
# Author: Myung-Gon Park <myunggoni@users.kldp.net>
#----------------------------------------------------------------------------

import sys

try:
	if sys.version_info < (2, 3):
		print "MOSS requires Python 2.3 or higher"
		sys.exit(1)
except AttributeError:
	print "MOSS requires Python 2.3 or higher"
	sys.exit(1)

import os
import glob
import py2exe
from distutils.core import setup
from moss import __version__

if __name__ == "__main__":
	if sys.platform == "win32":    
		setup(
		name = "moss-windows",
		version = __version__,
		license = "GNU Generic Public License",
		url = "http://moss.kldp.net",
		author = "Myung-Gon Park",
		author_email = "myunggoni@users.kldp.net",
		platforms = ["Win32"],
		keywords = ["Streaming Audio Server"],
		description = "HTTP-Based Streaming Audio Server Written in Python",
		long_description = "MOSS is the initial letters of the 'MP3/OGG Streaming Server'\n"
				"and an HTTP-based streaming audio server written in Python.\n"
				"It supports the web mode where you browse and select songs\n"
				"and the live mode which supports real-time broadcast.",
		download_url = "http://kldp.net/project/showfiles.php?group_id=469",
		packages = ["moss"],
		package_dir = {"moss": ""},
		windows = [{"script": "moss-gui.py",
			"icon_resources": [(1, "pixmaps/moss.ico")]
			}],
		data_files = [
		("conf", ["conf/moss.conf.sample"]),
		("images", glob.glob("images/*")),
		("pixmaps", glob.glob("pixmaps/*.*")),
		("templates", glob.glob("templates/*.tmpl"))],
		options = {"py2exe": {"packages": ["cjkcodecs"]}},
		)
	else:
		print "MOSS for Windows supports only Windows"